﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Interactivity;

namespace SelectionDemo
{
    class SfDataGridBehavior :Behavior<SfDataGrid>
    {
        SfDataGrid dataGrid = null;
        protected override void OnAttached()
        {
            dataGrid = this.AssociatedObject as SfDataGrid;
            dataGrid.SelectionController = new GridCellSelectionControllerExt(this.dataGrid);
            dataGrid.RowValidating += DataGrid_RowValidating;
            base.OnAttached();
        }

        private void DataGrid_RowValidating(object sender, RowValidatingEventArgs e)
        {

        }
    }
}
